package jp.co.ipride.excat.sample.blogic;

import jp.co.ipride.excat.sample.uvo.SampleUVO;
import jp.co.ipride.excat.sample.vo.LogonInput;
import jp.co.ipride.excat.sample.vo.LogonOutput;
import jp.terasoluna.fw.service.thin.BLogic;
import jp.terasoluna.fw.service.thin.BLogicResult;

public class LogonBLogic implements BLogic<LogonInput> {

	public BLogicResult execute(LogonInput param) {
		
		SampleUVO uvo = new SampleUVO();
		uvo.setUserId(param.getUserId());
		
		LogonOutput output = new LogonOutput();
		output.setUvo(uvo);
		
		BLogicResult result = new BLogicResult();
		result.setResultObject(output);
		result.setResultString("success");
		return result;
	}

}
